## scheme2c 1993.3.15.2

=== debian/changelog ===
scheme2c (1993.3.15.2-10) unstable; urgency=low

  * merge upstream fixes: syntax-rules/case
  * use pdflatex not latex;dvips;ps2pdf bypassing ps2pdf bug (closes: #585546)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Jun 2010 12:37:21 +0200

scheme2c (1993.3.15.2-9) unstable; urgency=low

  * remove -march=native from CFLAGS (closes: #582922)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 May 2010 21:20:16 +0100

scheme2c (1993.3.15.2-8) unstable; urgency=low

  * bump deb standards
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:40 +0000

scheme2c (1993.3.15.2-7) unstable; urgency=low

  * merge upstream change: increase scc heap while compiling xlib
  * modernize/shorten debian/rules
  * support ARM architecture (armel)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Jan 2010 18:04:24 +0100

scheme2c (1993.3.15.2-6) unstable; urgency=low

  * merge incremental upstream changes: build system tweaks, allow
    division by zero for floating point numbers, increase maximum non-rest
    argument count from 50 to 70, fix overflow bug in max heap size limit.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 25 Sep 2009 14:33:45 -0400

scheme2c (1993.3.15.2-5) unstable; urgency=low

  * remove any remaining darcs debris
  * merge upstream bug fix (signal handling)
  * merge upstream AMD64 performance enhancement (SSE)
  * rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Sep 2009 14:15:24 -0400

scheme2c (1993.3.15.2-4) unstable; urgency=low

  * rev deb policy
  * debian/control homepage and cvs fields (darcs to git)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 24 Mar 2009 10:36:32 +0000

scheme2c (1993.3.15.2-3) unstable; urgency=low

  * Switch to new section: lisp

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Mar 2009 21:17:38 +0000

scheme2c (1993.3.15.2-2) unstable; urgency=low

  * Notice unrecognized architecture in debian/rules
  * Moronish debian/control build dependencies (closes: #494508)
  * Fix typos in Descriptions in debian/control (closes: #494586)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 10 Aug 2008 22:48:11 +0100

scheme2c (1993.3.15.2-1) unstable; urgency=low

  * Initial Debian release, based on DEC release 15mar93jfb-1 plus a
    variety of patches plus a relicense by HP.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 May 2008 11:21:35 +0100
