=== debian/control ===
Source: scheme2c
Section: lisp
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 7.2.5),
    libsigsegv-dev,
    texlive-latex-base, texlive-latex-extra, latex209-bin,
    texlive-fonts-recommended, ghostscript
Standards-Version: 3.8.4
Homepage: http://scheme2c.alioth.debian.org/
Vcs-Git: git://git.debian.org/git/collab-maint/scheme2c.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme2c.git

Package: scheme2c
Architecture: i386 amd64 armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Joel Bartlett's fabled Scheme->C system
 The original Scheme->C system, the first of its kind.  It conforms to
 the R4RS Scheme standard, and compiles Scheme sources to C as an
 intermediate step, allowing easy integration with external libraries.
 Also included is an interpreter, for development.  Due to a variety
 of clever techniques, the system is quite fast.

Package: scheme2c-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Documentation for the Scheme->C system
 The documentation that accompanies the Scheme->C system includes a
 programmer's guide, tutorial, and a copy of the R4RS specification.
