=== debian/rules ===
#!/usr/bin/make -f

arch := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(arch),amd64)
  S2C_ARCH = AMD64
else ifeq ($(arch),i386)
  S2C_ARCH = LINUX
else ifeq ($(arch),armel)
  S2C_ARCH = ARM
else
  $(warning Warning: unsupported architecture $(arch))
  S2C_ARCH = UNSUPPORTED
endif

build clean install binary-arch binary-indep binary:
	dh $@

.PHONY: build clean install binary-arch binary-indep binary

override_dh_auto_configure:
	$(MAKE) for$(S2C_ARCH)

override_dh_auto_build:
	$(MAKE) -C $(S2C_ARCH)	# architecture dependent, executables
	$(MAKE) -C doc		# architecture independent, documentation

override_dh_auto_install:
	$(MAKE) -C $(S2C_ARCH)/scrt DESTDIR=`pwd`/debian/scheme2c prefix=/usr install
	$(MAKE) -C $(S2C_ARCH)/scsc DESTDIR=`pwd`/debian/scheme2c prefix=/usr install

## Documentation Installation
## Unneeded due to debian/scheme2c.manpages
# $(MAKE) -C doc DESTDIR=`pwd`/debian/scheme2c \
#		 MANDIR=/usr/share/man \
#		install-man

## Unneeded due to debian/scheme2c-doc.docs
# $(MAKE) -C doc DESTDIR=`pwd`/debian/scheme2c-doc \
#		 DOCDIR=/usr/share/doc/scheme2c-doc \
#		install-pdf

override_dh_compress:
	dh_compress --exclude=.pdf

ifneq ($(S2C_ARCH),)
override_dh_auto_clean:
	-rm -rf $(S2C_ARCH)
	dh_auto_clean
endif
