## scheme2c 2011.07.26

=== debian/changelog ===
scheme2c (2011.07.26-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build with -U_FORTIFY_SOURCE to fix FTBFS (on ARM too).

 -- Logan Rosen <logatronico@gmail.com>  Wed, 28 Nov 2012 14:58:22 -0500

scheme2c (2011.07.26-5) unstable; urgency=low

  * include missing xlib .sch files used by, e.g., QobiScheme

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 15 Mar 2012 15:29:55 +0000

scheme2c (2011.07.26-4) unstable; urgency=low

  * dh 9
  * bump debian policy (no changes required)
  * minor non-functional upstream tweaks

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 01 Mar 2012 20:53:25 +0000

scheme2c (2011.07.26-3ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + Build with -U_FORTIFY_SOURCE to fix FTBFS (on ARM too)

 -- Stephan Adig <sh@sourcecode.de>  Fri, 28 Oct 2011 10:16:01 +0000

scheme2c (2011.07.26-3) unstable; urgency=low

  * single debian patch source option (closes: #643271)
  * tiny upstream documentation tweaks

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 09 Oct 2011 21:43:11 +0100

scheme2c (2011.07.26-2ubuntu2) oneiric; urgency=low

  * Build with -U_FORTIFY_SOURCE on ARM too.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Sep 2011 23:01:16 +0000

scheme2c (2011.07.26-2ubuntu1) oneiric; urgency=low

  * Build with -U_FORTIFY_SOURCE to fix FTBFS. LP: #756052.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Sep 2011 23:59:17 +0200

scheme2c (2011.07.26-2) unstable; urgency=low

  * dh_targets in debian/rules
  * upstream mod: makefile tweaks to squash script path bug (closes: #637341)
  * pass installation paths during build

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 19 Aug 2011 13:44:46 +0200

scheme2c (2011.07.26-1) unstable; urgency=low

  * absorb upstream rename and installation mods
  * simplify packaging scripts
  * refresh quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Jul 2011 20:30:04 +0100

scheme2c (2011.07.19-1) unstable; urgency=low

  * bump standards version (debian/control)
  * add useful utilities to package
    - s2cxl.a (X library for linking to) and associated *.sch include files
    - s2cdecl (generate C declarations from Scheme code, for linking) as s2cdecl
    - s2ch (generate C headers, for linking external C)
    - s2cixl (interpreter with X procedures available)
    - sizeof.cdecl (standard sizes on current architecture)
  * debhelper 8
  * accept armhf patch to debian/control and debian/rules (closes: #604665)
  * allow parallel build (debian/rules)
  * merge upstream changes:
    - increase AMD64 max heap size
    - ditch gensym
    - emit some prototypes
    - add -Wall option to gcc invocation
    - rename scc to s2cc, sci to s2ci, etc
  * add symbolic links for old names: s2ci to sci, s2cc to scc, etc
  * add examples: X11 programs written in Scheme->C and appropriate Makefile

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Jul 2011 19:41:56 +0200
