=== debian/rules ===
#!/usr/bin/make -f

arch := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(arch),amd64)
  S2C_ARCH = AMD64
else ifeq ($(arch),i386)
  S2C_ARCH = LINUX
else ifeq ($(arch),armel)
  S2C_ARCH = ARM
else ifeq ($(arch),armhf)
  S2C_ARCH = ARM
else
  $(warning Warning: unsupported architecture $(arch))
  S2C_ARCH = UNSUPPORTED
endif

dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install

$(dh_targets) %:
	dh $@ --parallel

.PHONY: $(dh_targets)

override_dh_auto_configure:
	$(MAKE) for$(S2C_ARCH) $(path_opts)

path_opts = \
 prefix=/usr \
 MANDIR='$$(prefix)/share/man' \
 DOCDIR='$$(prefix)/share/doc/scheme2c'

install_opts = \
 DESTDIR=`pwd`/debian/tmp \
 $(path_opts)

override_dh_auto_build:
	$(MAKE) -C $(S2C_ARCH)	     $(path_opts) # architecture dependent, executables
	$(MAKE) -C $(S2C_ARCH)/cdecl $(path_opts) all # sizeof cdecl
	$(MAKE) -C $(S2C_ARCH)/xlib  $(path_opts) sizeof.cdecl libs2cxl.a s2cixl
	$(MAKE) -C doc		     $(path_opts) # architecture independent, documentation

override_dh_auto_install:
	$(MAKE) -C $(S2C_ARCH)/scrt  $(install_opts) install
	$(MAKE) -C $(S2C_ARCH)/scsc  $(install_opts) install
	$(MAKE) -C $(S2C_ARCH)/cdecl $(install_opts) install
	$(MAKE) -C $(S2C_ARCH)/xlib  $(install_opts) install
	$(MAKE) -C doc               $(install_opts) install

override_dh_compress:
	dh_compress --exclude=.pdf --exclude=scheme2c-doc/examples/

ifneq ($(S2C_ARCH),)
override_dh_auto_clean:
	-rm -rf $(S2C_ARCH)
	dh_auto_clean
endif
