## scheme2c 2012.10.14

=== debian/changelog ===
scheme2c (2012.10.14-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/0002-drop-gcc-arch-native-opt.patch: Build with
      -U_FORTIFY_SOURCE to fix FTBFS (on ARM too).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 30 Apr 2014 22:18:07 -0400

scheme2c (2012.10.14-1) unstable; urgency=low

  * build/install doc/r4rs.pdf despite upstream default to not
  * upstream now supports architecture kfreebsd-i386
  * tweak debian/rules to avoid errors from gnu make 4.0

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Apr 2014 12:13:25 +0100
