=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
     libsigsegv-dev, libx11-dev,
     texlive-latex-base, texlive-latex-extra, latex209-bin,
     texlive-fonts-recommended, ghostscript
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://scheme2c.alioth.debian.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/scheme2c.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/scheme2c.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/scheme2c.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme2c.git
 
 Package: scheme2c
-Architecture: i386 amd64 armel armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: i386 amd64 armel armhf kfreebsd-i386
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsigsegv-dev
 Description: Joel Bartlett's fabled Scheme->C system
  The original Scheme->C system, the first of its kind.  It conforms to
  the R4RS Scheme standard, and compiles Scheme sources to C as an
