=== debian/rules ===
--- 
+++ 
@@ -9,17 +9,15 @@
   S2C_ARCH = ARM
 else ifeq ($(arch),armhf)
   S2C_ARCH = ARM
+else ifeq ($(arch),kfreebsd-i386)
+  S2C_ARCH = OPENBSD
 else
   $(warning Warning: unsupported architecture $(arch))
   S2C_ARCH = UNSUPPORTED
 endif
 
-dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install
-
-$(dh_targets) %:
+%:
 	dh $@ --parallel
-
-.PHONY: $(dh_targets)
 
 override_dh_auto_configure:
 	$(MAKE) for$(S2C_ARCH) $(path_opts)
@@ -38,6 +36,7 @@
 	$(MAKE) -C $(S2C_ARCH)/cdecl $(path_opts) all # sizeof cdecl
 	$(MAKE) -C $(S2C_ARCH)/xlib  $(path_opts) sizeof.cdecl libs2cxl.a s2cixl
 	$(MAKE) -C doc		     $(path_opts) # architecture independent, documentation
+	$(MAKE) -C doc pdfs=r4rs.pdf $(path_opts) # architecture independent, documentation
 
 override_dh_auto_install:
 	$(MAKE) -C $(S2C_ARCH)/scrt  $(install_opts) install
@@ -45,6 +44,7 @@
 	$(MAKE) -C $(S2C_ARCH)/cdecl $(install_opts) install
 	$(MAKE) -C $(S2C_ARCH)/xlib  $(install_opts) install
 	$(MAKE) -C doc               $(install_opts) install
+	$(MAKE) -C doc pdfs=r4rs.pdf $(install_opts) install
 
 override_dh_compress:
 	dh_compress --exclude=.pdf --exclude=scheme2c-doc/examples/
